// ServerDlg.h : header file
//

#if !defined(AFX_SERVERDLG_H__27D7ED23_6184_47C5_8550_80011537DACE__INCLUDED_)
#define AFX_SERVERDLG_H__27D7ED23_6184_47C5_8550_80011537DACE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define	TM_SEND	100		// Timer for periodic test data sending

struct SCAN                // Communication packet
{
	char	scanline[256];
	BYTE  counter;
   BOOL  newdata;          // Used by client only
};

/////////////////////////////////////////////////////////////////////////////
// CServerDlg dialog

class CServerDlg : public CDialog
{
// Construction
public:
	BOOL m_socket_created;
	CServerDlg(CWnd* pParent = NULL);	// standard constructor

	SCAN	packet;
   int PORT;                           // Select any free port

// Dialog Data
	//{{AFX_DATA(CServerDlg)
	enum { IDD = IDD_SERVER_DIALOG };
	CListBox	m_SMainWindowList;
	CString	m_textS;
	UINT	m_edit_port;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CServerDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CServerDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnListen();
	afx_msg void OnSend();
	afx_msg void OnClear();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnInfo();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SERVERDLG_H__27D7ED23_6184_47C5_8550_80011537DACE__INCLUDED_)
